import { n as e, t } from "../bundle-mjs-DlI0Ilmo.js";
//#region lib/lib/utils.ts
function n(...n) {
	return t(e(n));
}
function r(e, t) {
	if (e) for (let n of [
		"",
		"VITE_",
		"NEXT_PUBLIC_",
		"NEXT_"
	]) {
		let r = e[`${n}${t}`];
		if (r) return r;
	}
}
function i(e) {
	return r(typeof process > "u" ? void 0 : process.env, e) || r({
		BASE_URL: "/",
		DEV: !1,
		MODE: "production",
		PROD: !0,
		SSR: !1
	}, e);
}
//#endregion
export { n as cn, i as resolveEnv };
